#ifndef MUTEX_H
#define MUTEX_H
#include <windows.h>
class Mutex
{
   HANDLE m_Mutex;
public:
   Mutex () : m_Mutex (::CreateMutex (0, FALSE, 0))
   {
   }
   bool Obtenir () const
   {
      return Obtenir (INFINITE);
   }
   bool Obtenir (const long Delai) const
   {
      return ::WaitForSingleObject (m_Mutex, Delai) == WAIT_OBJECT_0;
   }
   bool Relacher () const
   {
      ::ReleaseMutex (m_Mutex);
      return true;
   }
   virtual ~Mutex ()
   {
      ::CloseHandle (m_Mutex);
   }
};

#endif // !defined MUTEX_H
